/*
 * This file is part of CityDomination, which is a GameScript for OpenTTD
 * Copyright (C) 2011  Daniel Beal
 *
 * CityDomination is free software; you can redistribute it and/or modify it 
 * under the terms of the GNU General Public License as published by
 * the Free Software Foundation; version 2 of the License
 *
 * CityDomination is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with CityDomination; If not, see <http://www.gnu.org/licenses/> or
 * write to the Free Software Foundation, Inc., 51 Franklin Street, 
 * Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

class CityDomination extends GSInfo {
	function GetAuthor()		{ return "NullByte"; }
	function GetName()			{ return "CityDomination"; }
	function GetDescription() 	{ return "Companies can own cities?"; }
	function GetVersion()		{ return 7; }
	function GetDate()			{ return "2011-12-20"; }
	function CreateInstance()	{ return "CityDomination"; }
	function GetShortName()		{ return "SPCE"; }
	function GetAPIVersion()	{ return "1.2"; }
	function GetUrl()			{ return ""; }

	function GetSettings() {
		// My regards to LSky for introducing this idea
		AddSetting({name = "population_measure", description = "Set population goals along with the specific town domination goals", easy_value = 1, medium_value = 1, hard_value = 1, custom_value = 1, flags = CONFIG_BOOLEAN});
		AddSetting({name = "goals_per_company", description = "The number of goals each company should have", easy_value = 3, medium_value = 3, hard_value = 3, custom_value = 3, flags = 0, min_value = 0, max_value = 10});
		AddSetting({name = "pending_days", description = "The number of days before a company offically dominates the town", easy_value = 30, medium_value = 30, hard_value = 30, custom_value = 30, flags = CONFIG_INGAME, min_value = 0, max_value = 365});
		AddSetting({name = "log_level", description = "Debug: Log level (higher = print more)", easy_value = 2, medium_value = 2, hard_value = 2, custom_value = 2, flags = CONFIG_INGAME, min_value = 1, max_value = 3});
	}
}

RegisterGS(CityDomination());
